Bug 2494 - passdb/passdb.c
Summary: passdb/passdb.c
Status: CLOSED FIXED
Alias: None
Product: Samba 3.0
Classification: Unclassified
Component: libsmbclient (show other bugs)
Version: 3.0.12
Hardware: All All
: P3 normal
Target Milestone: none
Assignee: Samba Bugzilla Account
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-18 22:31 UTC by Jason Mader (mail bounces back)
Modified: 2005-08-24 10:17 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader (mail bounces back) 2005-03-18 22:31:49 UTC
Compiling passdb/passdb.c
cc-1164 cc: WARNING File = passdb/passdb.c, Line = 1913
  Argument of type "char *" is incompatible with parameter of type
          "const unsigned char *".

                if (!pdb_set_pw_history(sampass, pw_hist, pwHistLen, PDB_SET)) {
                                                 ^
Comment 1 Gerald (Jerry) Carter 2005-03-22 07:56:31 UTC
Fixed.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:17:43 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.